﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Default2 : System.Web.UI.Page
{
    protected DataTable populateGrid()
    {
        DataTable dt = new DataTable();

        dt.Columns.Add("ID");
        dt.Columns.Add("Name");
        dt.Columns.Add("Item");
        DataRow row;

        DataColumn[] primaryKeyColumns = new DataColumn[1];
        primaryKeyColumns[0] = dt.Columns["Number"];
        dt.PrimaryKey = primaryKeyColumns;

        for (int i = 0; i < 10; i++)
        {
            row = dt.NewRow();

            row.SetField<int>("ID", i);
            row.SetField<string>("Name", "Name" + i);
            row.SetField<string>("Item", "Item" + i);
            dt.Rows.Add(row);
        }

        return dt;
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        this.WebDataGrid1.DataSource = populateGrid();
        this.WebDataGrid1.DataBind();
    }
}